package com.njcn.gather.system.cfg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.system.cfg.pojo.param.SysTestConfigParam;
import com.njcn.gather.system.cfg.pojo.po.SysTestConfig;

/**
 * @author caozehui
 * @date 2024-11-16
 */
public interface ISysTestConfigService extends IService<SysTestConfig> {

    /**
     * 添加检测配置
     * @param scene 场景
     * @return 是否添加成功
     */
    boolean addTestConfig(String scene);

    /**
     * 更新检测配置
     * @param param 检测配置
     * @return 是否更新成功
     */
    boolean updateTestConfig(SysTestConfigParam.UpdateParam param);

    /**
     * 获取检测配置
     * @return
     */
    SysTestConfig getOneConfig();

    String getCurrrentScene();

    /**
     * 获取是否在检测时自动生成报告
     *
     * @return 0-否，1-是
     */
    Integer getAutoGenerate();
}
